function [FitResult, linewidth] = fanofit(x,y,startPoints, lowerPoints, upperPoints)

    %a = Kappa_e/2pi
    %b = Resonance frequency
    %c = Fano factor magnitude
    %d = Fano factor phase
    %e = Scaling factor
    %f = Kappa/2pi 
    
    
    fanoEqn = 'e* abs( (a/2+(x-b)/(c*exp(1i*d)))/ (1i*(x-b)+f/2))     ';
    FitResult = fit(x,y,fanoEqn,'Start',startPoints,'Lower',lowerPoints,'Upper',upperPoints);
    fit_parameters = coeffvalues(FitResult);
    linewidth_raw = round(fit_parameters(6)/1e6,2);
    linewidth = ['\kappa/2\pi: ' num2str(linewidth_raw) ' MHz'];
    
    
    
end