function [FitResult, linewidth] = lorentzfit(x,y,startPoints, lowerPoints, upperPoints)

    %a = Resonance frequency
    %b = Scaling factor
    %c = Kappa/2pi
    %d = offset
    
    
    lorenEqn = 'b*(0.5*c)./((x-a).^2+(0.5*c)^2) + d';
    FitResult = fit(x,y,lorenEqn,'Start',startPoints,'Lower',lowerPoints,'Upper',upperPoints);
    fit_parameters = coeffvalues(FitResult);
    linewidth_raw = round(fit_parameters(3)/1e6,2);
    linewidth = ['\kappa/2\pi: ' num2str(linewidth_raw) ' MHz'];
    
    
    
end